var table;
$(document).ready(function(){  
  table = $("#magazineTable").DataTable({
    "paging":  true,
    "scrollX": true,
    "scrollY": false,
    "processing": true, 
    "serverSide": true, 
    "pageLength": 20, 
    "order": [],
    "ajax": {
      "url": CI_ROOT+'magazine/getmagazine',
      "type": "POST"
    },
    "columnDefs": [
      { 
        "targets": "_all",
        "orderable": false
      },
      {"targets":[0,1],"width":60},
      {"targets":[2],"width":200},
      {"targets":[3],"width":140},
      {"targets":[4],"width":80},
      {"targets":[5],"width":80},
	   {"targets":[6],"width":80},
      {"targets":[7],"width":130}
    ],
    dom: 'Bfrtip',
    buttons: []
  });
  
  $("#add_magazine").on("submit", function(e){
    e.preventDefault();
    $(".error").html("");
    $(".error").css("display", "none");

    var t = new FormData(this);
    $.ajax({
      type: "POST",
      data: t,
      url: CI_ROOT + "magazine/addmagazineAction",
      mimeType: "multipart/form-data",
      contentType: !1,
      processData: !1,
      dataType: "json",
      beforeSend: function(){
        $(".preloader").fadeIn();
      },
      success: function(result) {
      	$(".preloader").fadeOut();
      	
        if(result.status == "success"){
          window.location.href = CI_ROOT + "magazine/list";
        }else{
          $.each(result, function(e, t) {
            $("label[for='" + e + "']").html(t)
          });
          var t = Object.keys(result);
          $(".error").css("display", "block");
          $('input[name="' + t[0] + '"]').focus();
        }
      }
    })
  });
  
  $("#update_magazine").on("submit", function(e){
    e.preventDefault();
    $(".error").html("");
    $(".error").css("display", "none");

    var t = new FormData(this);
    $.ajax({
      type: "POST",
      data: t,
      url: CI_ROOT + "magazine/updatemagazineAction",
      mimeType: "multipart/form-data",
      contentType: !1,
      processData: !1,
      dataType: "json",
      beforeSend: function(){
        $(".preloader").fadeIn();
      },
      success: function(result) {
      	$(".preloader").fadeOut();
      	
        if(result.status == "success"){
          window.location.href = CI_ROOT + "magazine/list";
        }else{
          $.each(result, function(e, t) {
            $("label[for='" + e + "']").html(t)
          });
          var t = Object.keys(result);
          $(".error").css("display", "block");
          $('input[name="' + t[0] + '"]').focus();
        }
      }
    })
  });
});